import { DefineComponent, ExtractPropTypes, CSSProperties, ComputedRef, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
declare const _default: DefineComponent<ExtractPropTypes<{
    width: {
        type: StringConstructor;
        default: string;
    };
}>, {
    ns: {
        b(): string;
        is(state: boolean, name: string): string;
        m(suffix: string): string;
        sy(data: string, label: "color" | "backgroundColor" | "height" | "width"): CSSProperties;
        is_sy(is: Boolean, one: CSSProperties, two?: CSSProperties | undefined): CSSProperties;
    };
    styleWidth: ComputedRef<{
        width: string;
    } | {
        width?: undefined;
    }>;
}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly< ExtractPropTypes<{
    width: {
        type: StringConstructor;
        default: string;
    };
}>> & Readonly<{}>, {
    width: string;
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;
export default _default;
